<%
    import datetime

    att = {'color': '#3498db',
           'title': "%s (ver. %s)" % (_SOFTNAME_, _SOFTVER_)}

    if subcmd == 'expired-pause' and session is not UNDEFINED:
        att['text'] = ("<!subteam^S01D6SMFKN2>: %s unpause expired session %s from %s."
                       % (_SOFTNAME_,
                          session,
                          _SERVER_ID_))
    elif subcmd == 'extend-pause' and ttl is not UNDEFINED:
        att['text'] = ("<!subteam^S01D6SMFKN2>: %s session %s extended to %s from %s."
                       % (_SOFTNAME_,
                          session,
                          datetime.timedelta(seconds = int(ttl)),
                          _SERVER_ID_))
    elif subcmd == 'notify-pause' and ttl is not UNDEFINED:
        att['text'] = ("<!subteam^S01D6SMFKN2>: %s session %s will be unpause in %s from %s."
                       % (_SOFTNAME_,
                          session,
                          datetime.timedelta(seconds = int(ttl)),
                          _SERVER_ID_))
    else:
        att['text'] = ("<!subteam^S01D6SMFKN2>: %s %s launched from %s."
                       % (_SOFTNAME_,
                          subcmd,
                          _SERVER_ID_))
    endif

    payload = {'attachments': [att],
               'icon_emoji': ':warning:',
               'username': _SOFTNAME_}
%>
${{'headers': 
   {'Content-Type': 'application/json'},
   'payload': payload} | n,json.dumps}
